<script setup lang="ts">
const top = useState<boolean>("top", () => false);

onMounted(() => {
  const drawerContainer = document.querySelector(".drawer-content");

  drawerContainer?.addEventListener("scroll", () => {
    top.value = drawerContainer?.scrollTop < 100;
  });
});
</script>

<template>
  <header
    :class="[
      'fixed w-full z-30 md:bg-opacity-90 transition duration-300 ease-in-out',
      !top ? 'bg-white backdrop-blur-sm shadow-lg' : '',
    ]"
  >
    <div class="max-w-6xl mx-auto px-5 sm:px-6 flex items-center justify-between h-16 md:h-20">
      <NuxtLink class="shrink-0 mr-4" to="/">LOGO</NuxtLink>

      <nav class="hidden md:flex md:grow">
        <div class="flex grow justify-end flex-wrap items-center space-x-4">
          <NuxtLink to="/signin">
            <div class="font-medium">Sign In</div>
          </NuxtLink>
          <NuxtLink to="/signup">
            <div class="btn btn-sm btn-primary normal-case space-x-2">
              <span>Sign Up</span>
              <svg
                xmlns="http://www.w3.org/2000/svg"
                fill="none"
                viewBox="0 0 24 24"
                stroke-width="1.5"
                stroke="currentColor"
                class="w-4 h-4"
              >
                <path
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  d="M13.5 4.5L21 12m0 0l-7.5 7.5M21 12H3"
                />
              </svg>
            </div>
          </NuxtLink>
        </div>
      </nav>

      <div class="flex-none md:hidden">
        <label for="header-drawer" class="drawer-button btn btn-square btn-ghost">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="inline-block w-6 h-6 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M4 6h16M4 12h16M4 18h16"
            ></path>
          </svg>
        </label>
      </div>
    </div>
  </header>
</template>
